GEGELATI

Loading...
Searching...
No Matches
Public Attributes | Static Public Attributes | List of all members
Selector::TournamentParameters Struct Reference

Structure holding all parameters affecting mutations of Truncation Selection. More...

`#include <selectionParameters.h>`

## Public Attributes
uint64_t | sizeTournament = 5
| Size of tournament if tournament selection is used.
double | ratioSavedRoots = 0.5
bool | areElitesReproductible = false
| Indicates if the elites are used in the reproduction process.

## Static Public Attributes
static const std::string | sizeTournamentComment
| JSon comment.
static const std::string | ratioSavedRootsComment
| JSon comment.
static const std::string | areElitesReproductibleComment
| JSon comment.

## Detailed Description

Structure holding all parameters affecting mutations of Truncation Selection.

## Member Data Documentation

## ◆ areElitesReproductibleComment

const std::string Selector::TournamentParameters::areElitesReproductibleComment
| inline static

Initial value:
=
"// Indicates if the elites are used in the reproduction process.\n"
"// \"areElitesReproductible\" : false, // Default value"

JSon comment.

## ◆ ratioSavedRoots

double Selector::TournamentParameters::ratioSavedRoots = 0.5

Percentage of root TPGVertex saved from the tournament at each generation.

## ◆ ratioSavedRootsComment

const std::string Selector::TournamentParameters::ratioSavedRootsComment
| inline static

Initial value:
=
"// Percentage of root TPGVertex saved from the tournament at each "
"generation.\n"
"// \"ratioSavedRoots\" : 0.05, // Default value"

JSon comment.

## ◆ sizeTournamentComment

const std::string Selector::TournamentParameters::sizeTournamentComment
| inline static

Initial value:
=
"// Size of tournament if tournament selection is used.\n"
"// \"sizeTournament\" : 5, // Default value"

JSon comment.

The documentation for this struct was generated from the following file:

- D:/a/gegelati/gegelati/gegelatilib/include/selector/selectionParameters.h